使用中のロール
API は、このエラーを 409 Conflict で返します。type は https://lingo.dev/docs/api/errors/role-in-use です。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。
ロール <id> はまだ2つのサービス API キーに割り当てられているため、削除できません。先にそれらのキーに別のロールを割り当てるか、キーを失効させてください。
フィールド#
本文には、標準の type、status、title、detail メンバーに加え、以下のフィールドが含まれます。detail のテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
apiKeys | number | "Infinity" | "-Infinity" | "NaN" |
例#
json
{
"detail": "Role <id> is still assigned to 2 service API keys and cannot be deleted. Give those keys a different role or revoke them first.",
"id": "<id>",
"apiKeys": 2,
"type": "https://lingo.dev/docs/api/errors/role-in-use",
"status": 409,
"title": "Role in use"
}このエラーを返すエンドポイント#
DELETE /v2/roles/{id}